ata_dump_status
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_dump_status — user friendly display of error info

## Synopsis

`void ata_dump_status (` | unsigned | id,
| struct ata_taskfile * | tf`)`;

## Arguments

`id`

  id of the port in question

`tf`

  ptr to filled out taskfile

## Description

Decode and dump the ATA error/status registers for the user so that they have some idea what really happened at the non make-believe layer.

## LOCKING

inherited from caller

Prev | Up | Next
ata_scsi_qc_new | Home | ata_to_sense_error